Imagick::getImageHeight
Imagick::getImageIndex
The Imagick class
PHP Manual

# Imagick::getImageHistogram

(PECL imagick 2.0.0)

Imagick::getImageHistogram — Gets the image histogram

### Description

array Imagick::getImageHistogram ( void )
Warning

This function is currently not documented; only its argument list is available.

Returns the image histogram as an array of ImagickPixel objects.

### Return Values

Returns the image histogram as an array of ImagickPixel objects. Throw an ImagickException on error.

Imagick::getImageHeight
Imagick::getImageIndex
The Imagick class
PHP Manual